hpp-corbaserver: _impl_Obstacle Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
_impl_Obstacle Class Referenceabstract

`#include <hpp/corbaserver/obstacle-idl.hh>`

Inheritance diagram for _impl_Obstacle:
[legend]
Collaboration diagram for _impl_Obstacle:
[legend]

## Public Member Functions
virtual | ~_impl_Obstacle ()
virtual void | loadObstacleModel (const char *filename, const char *prefix)=0
virtual void | loadPolyhedron (const char *obstacleName, const char *filename)=0
virtual void | loadObstacleModelFromString (const char *urdfString, const char *prefix)=0
virtual void | loadPointCloudFromFilename (const char *objectName, const char *filename)=0
virtual void | loadPointCloudFromPoints (const char *objectName, ::CORBA::Double resolution, const ::hpp::floatSeqSeq &points)=0
virtual void | removeObstacle (const char *objectName)=0
virtual void | removeObstacleFromJoint (const char *objectName, const char *jointName, ::CORBA::Boolean collision, ::CORBA::Boolean distance)=0
virtual void | cutObstacle (const char *objectName, const ::hpp::floatSeq &aabb)=0
virtual void | addObstacle (const char *objectName, ::CORBA::Boolean collision, ::CORBA::Boolean distance)=0
virtual void | moveObstacle (const char *objectName, const ::hpp::Transform_ cfg)=0
virtual void | getObstaclePosition (const char *objectName, ::hpp::Transform_ cfg)=0
virtual Names_t * | getObstacleNames (::CORBA::Boolean collision, ::CORBA::Boolean distance)=0
virtual void | createPolyhedron (const char *polyName)=0
virtual void | createBox (const char *inBoxName, ::CORBA::Double x, ::CORBA::Double y, ::CORBA::Double z)=0
virtual void | createSphere (const char *name, ::CORBA::Double radius)=0
virtual void | createCylinder (const char *name, ::CORBA::Double radius, ::CORBA::Double length)=0
virtual ::CORBA::ULong | addPoint (const char *polyName, ::CORBA::Double x, ::CORBA::Double y, ::CORBA::Double z)=0
virtual ::CORBA::ULong | addTriangle (const char *polyName, ::CORBA::ULong pt1, ::CORBA::ULong pt2, ::CORBA::ULong pt3)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_Obstacle()

virtual _impl_Obstacle::~_impl_Obstacle | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_Obstacle::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

## ◆ addObstacle()

virtual void _impl_Obstacle::addObstacle | ( | const char * | objectName,
|  | ::CORBA::Boolean | collision,
|  | ::CORBA::Boolean | distance
| ) |  |
| pure virtual

## ◆ addPoint()

virtual ::CORBA::ULong _impl_Obstacle::addPoint | ( | const char * | polyName,
|  | ::CORBA::Double | x,
|  | ::CORBA::Double | y,
|  | ::CORBA::Double | z
| ) |  |
| pure virtual

## ◆ addTriangle()

virtual ::CORBA::ULong _impl_Obstacle::addTriangle | ( | const char * | polyName,
|  | ::CORBA::ULong | pt1,
|  | ::CORBA::ULong | pt2,
|  | ::CORBA::ULong | pt3
| ) |  |
| pure virtual

## ◆ createBox()

virtual void _impl_Obstacle::createBox | ( | const char * | inBoxName,
|  | ::CORBA::Double | x,
|  | ::CORBA::Double | y,
|  | ::CORBA::Double | z
| ) |  |
| pure virtual

## ◆ createCylinder()

virtual void _impl_Obstacle::createCylinder | ( | const char * | name,
|  | ::CORBA::Double | radius,
|  | ::CORBA::Double | length
| ) |  |
| pure virtual

## ◆ createPolyhedron()

virtual void _impl_Obstacle::createPolyhedron | ( | const char * | polyName | ) |
| pure virtual

## ◆ createSphere()

virtual void _impl_Obstacle::createSphere | ( | const char * | name,
|  | ::CORBA::Double | radius
| ) |  |
| pure virtual

## ◆ cutObstacle()

virtual void _impl_Obstacle::cutObstacle | ( | const char * | objectName,
|  | const ::hpp::floatSeq & | aabb
| ) |  |
| pure virtual

## ◆ getObstacleNames()

virtual Names_t* _impl_Obstacle::getObstacleNames | ( | ::CORBA::Boolean | collision,
|  | ::CORBA::Boolean | distance
| ) |  |
| pure virtual

## ◆ getObstaclePosition()

virtual void _impl_Obstacle::getObstaclePosition | ( | const char * | objectName,
|  | ::hpp::Transform_ | cfg
| ) |  |
| pure virtual

## ◆ loadObstacleModel()

virtual void _impl_Obstacle::loadObstacleModel | ( | const char * | filename,
|  | const char * | prefix
| ) |  |
| pure virtual

## ◆ loadObstacleModelFromString()

virtual void _impl_Obstacle::loadObstacleModelFromString | ( | const char * | urdfString,
|  | const char * | prefix
| ) |  |
| pure virtual

## ◆ loadPointCloudFromFilename()

virtual void _impl_Obstacle::loadPointCloudFromFilename | ( | const char * | objectName,
|  | const char * | filename
| ) |  |
| pure virtual

## ◆ loadPointCloudFromPoints()

virtual void _impl_Obstacle::loadPointCloudFromPoints | ( | const char * | objectName,
|  | ::CORBA::Double | resolution,
|  | const ::hpp::floatSeqSeq & | points
| ) |  |
| pure virtual

## ◆ loadPolyhedron()

virtual void _impl_Obstacle::loadPolyhedron | ( | const char * | obstacleName,
|  | const char * | filename
| ) |  |
| pure virtual

## ◆ moveObstacle()

virtual void _impl_Obstacle::moveObstacle | ( | const char * | objectName,
|  | const ::hpp::Transform_ | cfg
| ) |  |
| pure virtual

## ◆ removeObstacle()

virtual void _impl_Obstacle::removeObstacle | ( | const char * | objectName | ) |
| pure virtual

## ◆ removeObstacleFromJoint()

virtual void _impl_Obstacle::removeObstacleFromJoint | ( | const char * | objectName,
|  | const char * | jointName,
|  | ::CORBA::Boolean | collision,
|  | ::CORBA::Boolean | distance
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/obstacle-idl.hh